
Foreman - Feature #33408

Add support for all RHEL derivatives in Content Host Registration

09/03/2021 09:21 AM - Amy Tilghman

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 3.1.0   

Difficulty:  Fixed in Releases: 3.0.2, 3.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8758,

https://github.com/theforeman/foreman/p

ull/8774

  

Description

When attempting to register a Rocky Linux 8 host using the built in subscription-manager "Registration command" feature it's logic

isn't aware of "rocky" in the /etc/os-release file.

Creating this issue to go along with my pull request I'm about to submit

Associated revisions

Revision 6faf9585 - 09/17/2021 01:05 PM - Amy Tilghman

Fixes #33408 - Support all RHEL derivatives in registration

History

#1 - 09/03/2021 09:45 AM - Amy Tilghman

https://github.com/theforeman/foreman/pull/8757

i see a redmine issue, do I need to fix that before it gets looked at?

#2 - 09/03/2021 09:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8758 added

#3 - 09/03/2021 09:57 AM - Amy Tilghman

I just fixed the commit and resubmitted :)

https://github.com/theforeman/foreman/pull/8758

#4 - 09/10/2021 01:06 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8774 added

#5 - 09/17/2021 01:05 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#6 - 09/17/2021 01:06 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Add support for Rocky Linux 8 Content Host Registration to Add support for all RHEL derivatives in Content Host Registration

- Category set to Templates

- Target version set to 3.1.0

- Triaged changed from No to Yes

#7 - 09/17/2021 02:01 PM - Amy Tilghman
https://github.com/theforeman/foreman/pull/8757
https://github.com/theforeman/foreman/pull/8758


- Status changed from Ready For Testing to Closed

Applied in changeset foreman|6faf95859cefc4952bb56797c59fbcd5238e61c9.

#8 - 11/18/2021 01:36 PM - Ondřej Ezr

- Fixed in Releases 3.0.2 added
